Export Label Master List
curl --request GET \
--url 'https://api-metadata.etherscan.io/v2/api?apikey='import requests
url = "https://api-metadata.etherscan.io/v2/api?apikey="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-metadata.etherscan.io/v2/api?apikey=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "1",
"message": "OK",
"result": "https://metadata-export.etherscan.io/1/labelmasterlist_latest.json?X-Amz-Expires=300&response-content-disposition=attachment%3B%20filename%3Dexport-labelmasterlist_latest.json&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=0056c267039aefa0000000005/20260305/us-east-005/s3/aws4_request&X-Amz-Date=20260305T082933Z&X-Amz-SignedHeaders=host&X-Amz-Signature=a795d41a87821a3224b3d9e56819f0fdc5b869c43278c6c96773966798a80f71"
}
{
"status":"1",
"message":"OK",
"result":[
{
"labelname":"Axelar",
"labelslug":"axelar",
"shortdescription":"Axelar delivers secure cross-chain communication for Web3. Its infrastructure enables dApp users to interact with any asset or application, on any chain, with one click. Axelar is an overlay network, delivering Turing-complete message passing via proof-of-stake and permissionless protocols.",
"notes":"",
"lastupdatedtimestamp":1712897117
},
{
"labelname":"Binance",
"labelslug":"binance",
"shortdescription":"Binance is one of the world’s leading blockchain ecosystems, with a product suite that includes the largest digital asset exchange.",
"notes":"",
"lastupdatedtimestamp":1759922816
}
]
}
Metadata Exports (Multichain)
Export Label Master List
Generates a temporary download URL for the latest label master list (JSON file).
GET
/
v2
/
api
Export Label Master List
are available exclusively to Enterprise plan customers. Contact Sales to explore Enterprise access.
The
result is a temporary download link, not the data itself. Fetch that URL within 5 minutes to download the label master list (JSON). Use the label slugs it contains as the label value in Export Address Tags.{
"status": "1",
"message": "OK",
"result": "https://metadata-export.etherscan.io/1/labelmasterlist_latest.json?X-Amz-Expires=300&response-content-disposition=attachment%3B%20filename%3Dexport-labelmasterlist_latest.json&X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=0056c267039aefa0000000005/20260305/us-east-005/s3/aws4_request&X-Amz-Date=20260305T082933Z&X-Amz-SignedHeaders=host&X-Amz-Signature=a795d41a87821a3224b3d9e56819f0fdc5b869c43278c6c96773966798a80f71"
}
{
"status":"1",
"message":"OK",
"result":[
{
"labelname":"Axelar",
"labelslug":"axelar",
"shortdescription":"Axelar delivers secure cross-chain communication for Web3. Its infrastructure enables dApp users to interact with any asset or application, on any chain, with one click. Axelar is an overlay network, delivering Turing-complete message passing via proof-of-stake and permissionless protocols.",
"notes":"",
"lastupdatedtimestamp":1712897117
},
{
"labelname":"Binance",
"labelslug":"binance",
"shortdescription":"Binance is one of the world’s leading blockchain ecosystems, with a product suite that includes the largest digital asset exchange.",
"notes":"",
"lastupdatedtimestamp":1759922816
}
]
}
Authorizations
Enter your Etherscan API key, or set one up if you don't have one.
Query Parameters
Chain ID to query, refer to mainnet networks on our supported chains page.
Set to nametag for this endpoint.
Set to getlabelmasterlist for this endpoint.
Response
200 - application/json
Successful response
1 if the request returned data, 0 otherwise. A status of 0 can indicate an error or a valid request that returned no records.
OK on success, otherwise an error description such as NOTOK. See common error messages.
URL to download the exported label master list.